%ifnarch %{ix86} %{arm}
%bcond_without check
%endif

%global goipath         github.com/grpc-ecosystem/grpc-gateway
%global commit          26318a510414ca4d63a664faab34ec717e77d97b
Version:                1.16.0

%gometa

%global common_description %{expand:
The grpc-gateway is a plugin of the Google protocol buffers compiler protoc.
It reads protobuf service definitions and generates a reverse-proxy server
which translates a RESTful JSON API into gRPC. This server is generated
according to the google.api.http annotations in your service definitions.}

%global golicenses      LICENSE.txt
%global godocs          docs examples CHANGELOG.md CONTRIBUTING.md README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        GRPC to JSON proxy generator

License:        BSD
URL:            %{gourl}
Source0:        %{gosource}
Source1:        vendor.tar.gz


%description
%{common_description}

%gopkg

%prep
%goprep
tar -xzf %{SOURCE1}

%build
for cmd in protoc-gen-swagger protoc-gen-grpc-gateway; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck -d runtime -d codegenerator
%endif

%files
%license %{golicenses}
%doc %{godocs}
%{_bindir}/*

%gopkgfiles

%changelog
* Mon Sep 09 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.16.0-1
- initial build
